net.sf.jasperreports.engine.export.oasis

## Class JROdtExporterNature

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractExporterNature
  - - net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporterNature
    - - net.sf.jasperreports.engine.export.oasis.JROdtExporterNature

- All Implemented Interfaces:
    ExporterFilter, ExporterNature

      public class JROdtExporterNature
      extends JROpenDocumentExporterNature

  Version:
    $Id: JROdtExporterNature.java 7042 2014-04-24 10:54:02Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `filter, handlerEnvironment, jasperReportsContext, propertiesUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JROdtExporterNature(ExporterFilter filter)` Deprecated. Replaced by `JROdtExporterNature(JasperReportsContext, ExporterFilter)`.
    `JROdtExporterNature(JasperReportsContext jasperReportsContext, ExporterFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isToExport(JRPrintElement element)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporterNature

      `isBreakAfterRow, isBreakBeforeRow, isDeep, isHorizontallyMergeEmptyCells, isIgnoreLastRow, isIgnorePageMargins, isSpanCells, setXProperties, setXProperties, setYProperties, setYProperties`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `getPropertiesUtil`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JROdtExporterNature

          public JROdtExporterNature(JasperReportsContext jasperReportsContext,
                             ExporterFilter filter)

    - #### JROdtExporterNature

          public JROdtExporterNature(ExporterFilter filter)

      Deprecated. Replaced by `JROdtExporterNature(JasperReportsContext, ExporterFilter)`.

  - ### Method Detail

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

      Specified by:
        `isToExport` in interface `ExporterFilter`
      Overrides:
        `isToExport` in class `JROpenDocumentExporterNature`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com